As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 643537 - JSON.stringify(_1, _2, space) doesn't implement space=boxed string/number correctly
: JSON.stringify(_1, _2, space) doesn't implement space=boxed string/number cor...
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla6
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 13:30 PDT by Jeff Walden [:Waldo] (remove +bmo to email)
Modified: 2011-05-02 16:01 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch and test (2.79 KB, patch)
2011-03-21 13:30 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
no flags Details | Diff | Splinter Review
Unbitrotted (1.83 KB, patch)
2011-04-13 14:37 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
paul.biggar: review+
Details | Diff | Splinter Review

Description User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-03-21 13:30:03 PDT
Created attachment 520731 [details] [diff] [review]
Patch and test

Noticed in passing while doing other JSON work.  It's nitpicky to be sure, but it's what the spec says, implementations generally follow the spec here, and there's no good reason to do otherwise.
Comment 1 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-04-13 14:37:13 PDT
Created attachment 525822 [details] [diff] [review]
Unbitrotted
Comment 2 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-04-28 17:07:40 PDT
http://hg.mozilla.org/tracemonkey/rev/b779f8f08c79
Comment 3 User image Chris Leary [:cdleary] (not checking bugmail) 2011-05-02 16:01:26 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/b779f8f08c79

Note You need to log in before you can comment on or make changes to this bug.